# -*- coding: utf-8 -*-
"""
Created on Mon Aug 28 21:28:24 2017

@author: Alain
"""

from math import sqrt
import random as rd 

""" Exercice 1.1 """

S = 0
for i in range(0,102,2):
    S = S + i
print("Somme des nombres pairs de 1 à 100 : ", S)

""" Exercice 1.2 """
"""
ch = input("Entrez un nombre !")
x = float(ch)
if x < -2 or x > 4 :
    y = x*x/2
else : 
    y = 4 - x*x/2
print("résultat = ", y)
"""
""" Exercice 1.3 """

print("Avec boucle while")
x = 0
while x <= 1 :
    print(x)
    x = x + 0.1
    
print("Avec boucle for")
for i in range(0,11):
    print(i/10)
    
""" Exercice 2.1 """    
      
n = 10
S = 0
for i in range(1,n+1):
    for j in range(1, n+1):
        S = S + i*j
print(S)

""" Exercice 2.2 """   

n = 1000
S = 0
k = 1
test = 3
while test < n : 
    S = S + k
    k = k + 1
    test = k + k**2 + k**3
print (S)

""" Exercice 2.3 """ 

epsilon = 1e-12
S = 0
i = 1
increment = 1
while increment > epsilon : 
    S = S + increment
    i = i + 1
    increment = 1/(i*i)
print("Limite = ", S)
print("pi = ", sqrt(6*S))    
    
""" Exercice 2.4 """ 

n = 8
S = 0
for l in range (1,n+1):
    for c in range(l, n+1):
        S = S + l*c
print("Somme = ", S)

""" Exercice 2.5 """ 

"""
cha = input("a = ?")
chb = input("b = ?")
chc = input("c = ?")
a = float(cha)
b = float(chb)
c = float(chc)
if a == 0 : 
    print("Solution unique : ", -c/b)
else : 
    delta = b*b - 4*a*c
    if delta > 0 :
        print("Deux racines : ", (-b + sqrt(delta))/(2*a), " et ", (-b - sqrt(delta))/(2*a))
    elif delta == 0 : 
        print("Solution unique : ", - b/(2*a))
    else : 
        print("Aucune racine")
"""

""" Chifoumi """

"""
onjoue = True
while onjoue :
    pointJoueur = 0
    pointOrdi = 0
    while abs(pointJoueur - pointOrdi) < 2 :
        choixJoueur = int(input("Quel est votre choix : 0 pour pierre, 1 pour feuille, 2 pour ciseaux ?"))
        choixOrdi = rd.randint(0,2) 
        resultat = - 1 # reste à détecter l'égalité ou le joueur vainqueur
        if choixJoueur == choixOrdi :
            resultat = 0
        elif (choixJoueur == 0 and choixOrdi == 2) or (choixJoueur == 1 and choixOrdi == 0) or (choixJoueur == 2 and choixOrdi == 1) :
            resultat = 1
        if resultat == 0 : 
            print("J'ai joué ", choixOrdi, " - égalité - Joueur : ", pointJoueur, " ordinateur : ", pointOrdi)
        elif resultat == 1 :
            pointJoueur = pointJoueur + 1
            print("J'ai joué ", choixOrdi, " - vous avez gagné - Joueur : ", pointJoueur, " ordinateur : ", pointOrdi)
        else :
            pointOrdi = pointOrdi + 1
            print("J'ai joué ", choixOrdi, " - j'ai gagné - Joueur : ", pointJoueur, " ordinateur : ", pointOrdi)
    if pointJoueur > pointOrdi :
        print("Bravo, vous avez gagné ", pointJoueur, " à ", pointOrdi)    
    else:
        print("Pas de chance pour vous, j'ai gagné", pointOrdi, " à ", pointJoueur)
    ch = input("Tapez q ou Q pour quitter, sinon on rejoue !")
    if ch == "q" or ch == "Q" :
        onjoue = False
print ("Merci")
"""


a = 1 #et le commentaire pour une seule ligne

#a = 2
#b = 3
#print(a+b)

""" 
a = 2
b = 3
print(a+b)
"""

b = 2
print(a+b)
